List MCP Servers
Retrieve a list of MCP servers.
GET
/
ai
/
mcp_servers
JavaScript
import Telnyx from 'telnyx';
const client = new Telnyx({
apiKey: process.env['TELNYX_API_KEY'], // This is the default and can be omitted
});
// Automatically fetches more pages as needed.
for await (const mcpServerListResponse of client.ai.mcpServers.list()) {
console.log(mcpServerListResponse.id);
}import os
from telnyx import Telnyx
client = Telnyx(
api_key=os.environ.get("TELNYX_API_KEY"), # This is the default and can be omitted
)
page = client.ai.mcp_servers.list()
page = page.items[0]
print(page.id)package main
import (
"context"
"fmt"
"github.com/team-telnyx/telnyx-go"
"github.com/team-telnyx/telnyx-go/option"
)
func main() {
client := telnyx.NewClient(
option.WithAPIKey("My API Key"),
)
page, err := client.AI.McpServers.List(context.TODO(), telnyx.AIMcpServerListParams{})
if err != nil {
panic(err.Error())
}
fmt.Printf("%+v\n", page)
}package com.telnyx.sdk.example;
import com.telnyx.sdk.client.TelnyxClient;
import com.telnyx.sdk.client.okhttp.TelnyxOkHttpClient;
import com.telnyx.sdk.models.ai.mcpservers.McpServerListPage;
import com.telnyx.sdk.models.ai.mcpservers.McpServerListParams;
public final class Main {
private Main() {}
public static void main(String[] args) {
TelnyxClient client = TelnyxOkHttpClient.fromEnv();
McpServerListPage page = client.ai().mcpServers().list();
}
}require "telnyx"
telnyx = Telnyx::Client.new(api_key: "My API Key")
page = telnyx.ai.mcp_servers.list
puts(page)<?php
require_once dirname(__DIR__) . '/vendor/autoload.php';
use Telnyx\Client;
use Telnyx\Core\Exceptions\APIException;
$client = new Client(apiKey: getenv('TELNYX_API_KEY') ?: 'My API Key');
try {
$page = $client->ai->mcpServers->list(
pageNumber: 1, pageSize: 1, type: 'type', url: 'url'
);
var_dump($page);
} catch (APIException $e) {
echo $e->getMessage();
}telnyx ai:mcp-servers list \
--api-key 'My API Key'curl --request GET \
--url https://api.telnyx.com/v2/ai/mcp_servers \
--header 'Authorization: Bearer <token>'[
{
"id": "<string>",
"name": "<string>",
"type": "<string>",
"url": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"api_key_ref": "<string>",
"allowed_tools": [
"<string>"
]
}
]{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Query Parameters
Filter results by type.
Filter results by url.
Number of items to return per page.
Required range:
1 <= x <= 100Page number to retrieve (1-based).
Required range:
x >= 1Was this page helpful?
⌘I
JavaScript
import Telnyx from 'telnyx';
const client = new Telnyx({
apiKey: process.env['TELNYX_API_KEY'], // This is the default and can be omitted
});
// Automatically fetches more pages as needed.
for await (const mcpServerListResponse of client.ai.mcpServers.list()) {
console.log(mcpServerListResponse.id);
}import os
from telnyx import Telnyx
client = Telnyx(
api_key=os.environ.get("TELNYX_API_KEY"), # This is the default and can be omitted
)
page = client.ai.mcp_servers.list()
page = page.items[0]
print(page.id)package main
import (
"context"
"fmt"
"github.com/team-telnyx/telnyx-go"
"github.com/team-telnyx/telnyx-go/option"
)
func main() {
client := telnyx.NewClient(
option.WithAPIKey("My API Key"),
)
page, err := client.AI.McpServers.List(context.TODO(), telnyx.AIMcpServerListParams{})
if err != nil {
panic(err.Error())
}
fmt.Printf("%+v\n", page)
}package com.telnyx.sdk.example;
import com.telnyx.sdk.client.TelnyxClient;
import com.telnyx.sdk.client.okhttp.TelnyxOkHttpClient;
import com.telnyx.sdk.models.ai.mcpservers.McpServerListPage;
import com.telnyx.sdk.models.ai.mcpservers.McpServerListParams;
public final class Main {
private Main() {}
public static void main(String[] args) {
TelnyxClient client = TelnyxOkHttpClient.fromEnv();
McpServerListPage page = client.ai().mcpServers().list();
}
}require "telnyx"
telnyx = Telnyx::Client.new(api_key: "My API Key")
page = telnyx.ai.mcp_servers.list
puts(page)<?php
require_once dirname(__DIR__) . '/vendor/autoload.php';
use Telnyx\Client;
use Telnyx\Core\Exceptions\APIException;
$client = new Client(apiKey: getenv('TELNYX_API_KEY') ?: 'My API Key');
try {
$page = $client->ai->mcpServers->list(
pageNumber: 1, pageSize: 1, type: 'type', url: 'url'
);
var_dump($page);
} catch (APIException $e) {
echo $e->getMessage();
}telnyx ai:mcp-servers list \
--api-key 'My API Key'curl --request GET \
--url https://api.telnyx.com/v2/ai/mcp_servers \
--header 'Authorization: Bearer <token>'[
{
"id": "<string>",
"name": "<string>",
"type": "<string>",
"url": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"api_key_ref": "<string>",
"allowed_tools": [
"<string>"
]
}
]{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}